-- création de la base de donnée
CREATE DATABASE pve CHARACTER SET utf8;

-- connexion à la base
\r pve
SET character_set_client = utf8;

CREATE TABLE NEtablissement (uai VARCHAR(8) NOT NULL, academie VARCHAR(2) DEFAULT NULL, base36 VARCHAR(5) NOT NULL, libelleEtablissement VARCHAR(100) NOT NULL, nomUsage VARCHAR(50) NOT NULL, institutCatholique TINYINT(1) NOT NULL, dateOuverture DATE DEFAULT NULL, dateFermeture DATE DEFAULT NULL, INDEX IDX_C76E8FEDA9373E3D (academie), PRIMARY KEY(uai)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB;
CREATE TABLE Usager (profil INT DEFAULT NULL, idPVE INT AUTO_INCREMENT NOT NULL, nom VARCHAR(50) NOT NULL, prenom VARCHAR(50) NOT NULL, dateNaissance DATE NOT NULL, prenom2 VARCHAR(50) DEFAULT NULL, prenom3 VARCHAR(50) DEFAULT NULL, mail VARCHAR(100) NOT NULL, telephone1 VARCHAR(20) NOT NULL, telephone2 VARCHAR(20) DEFAULT NULL, adresseVoie VARCHAR(50) DEFAULT NULL, adresseComplement1 VARCHAR(50) DEFAULT NULL, adresseComplement2 VARCHAR(50) DEFAULT NULL, adresseLocalite VARCHAR(50) NOT NULL, adresseCodePostal VARCHAR(10) DEFAULT NULL, dateCreation DATETIME NOT NULL, dateDernierAcces DATETIME DEFAULT NULL, adresseCodePays VARCHAR(3) DEFAULT NULL, auteurCreation VARCHAR(20) DEFAULT NULL, statutProfil INT DEFAULT NULL, codeCrous VARCHAR(3) DEFAULT NULL, codeCivilite VARCHAR(1) DEFAULT NULL, INDEX IDX_3B7060C912C68174 (adresseCodePays), INDEX IDX_3B7060C964F2C53A (auteurCreation), INDEX IDX_3B7060C959BF3443 (statutProfil), INDEX IDX_3B7060C9E6D6B297 (profil), INDEX IDX_3B7060C9AB468661 (codeCrous), INDEX IDX_3B7060C999D5DC61 (codeCivilite), PRIMARY KEY(idPVE)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB;
CREATE TABLE NCatInterventionSupport (code VARCHAR(1) NOT NULL, libelleCourt VARCHAR(20) NOT NULL, libelleLong VARCHAR(40) NOT NULL, dateOuverture DATE DEFAULT NULL, dateFermeture DATE DEFAULT NULL, PRIMARY KEY(code)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB;
CREATE TABLE NCrousAcademie (dateOuverture DATE DEFAULT NULL, dateFermeture DATE DEFAULT NULL, codeCrous VARCHAR(3) NOT NULL, codeAcademie VARCHAR(2) NOT NULL, INDEX IDX_BCAE6988AB468661 (codeCrous), INDEX IDX_BCAE69881CAEF98A (codeAcademie), PRIMARY KEY(codeCrous, codeAcademie)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB;
CREATE TABLE NAuteurProfil (code VARCHAR(20) NOT NULL, libelleCourt VARCHAR(20) NOT NULL, libelleLong VARCHAR(40) NOT NULL, dateOuverture DATE DEFAULT NULL, dateFermeture DATE DEFAULT NULL, PRIMARY KEY(code)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB;
CREATE TABLE EmailRegistration (email VARCHAR(100) NOT NULL, token VARCHAR(50) NOT NULL, lastUpdate DATETIME NOT NULL, registrationType VARCHAR(10) NOT NULL, PRIMARY KEY(email)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB;
CREATE TABLE NEtatInterventionSupport (code VARCHAR(1) NOT NULL, libelleCourt VARCHAR(20) NOT NULL, libelleLong VARCHAR(40) NOT NULL, dateOuverture DATE DEFAULT NULL, dateFermeture DATE DEFAULT NULL, PRIMARY KEY(code)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB;
CREATE TABLE NCivilite (code VARCHAR(1) NOT NULL, libelleCourt VARCHAR(20) NOT NULL, libelleLong VARCHAR(40) NOT NULL, dateOuverture DATE DEFAULT NULL, dateFermeture DATE DEFAULT NULL, PRIMARY KEY(code)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB;
CREATE TABLE INEEtudiant (ine VARCHAR(11) NOT NULL, dateMAJ DATETIME NOT NULL, idEtudiantPVE INT DEFAULT NULL, auteurMAJ VARCHAR(20) DEFAULT NULL, INDEX IDX_3FDE7801825C3384 (idEtudiantPVE), INDEX IDX_3FDE7801FE92BB9D (auteurMAJ), PRIMARY KEY(ine)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB;
CREATE TABLE PJInscription (id INT AUTO_INCREMENT NOT NULL, pieceJustificative LONGBLOB NOT NULL, mimeType VARCHAR(255) DEFAULT NULL, idPVE INT DEFAULT NULL, INDEX IDX_6F21E68F60AFE308 (idPVE), PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB;
CREATE TABLE RepresentantLegal (idRepLegal INT AUTO_INCREMENT NOT NULL, nom VARCHAR(50) NOT NULL, prenom VARCHAR(50) NOT NULL, telephone1 VARCHAR(20) DEFAULT NULL, telephone2 VARCHAR(20) DEFAULT NULL, adresseVoie VARCHAR(50) DEFAULT NULL, adresseComplement1 VARCHAR(50) DEFAULT NULL, adresseComplement2 VARCHAR(50) DEFAULT NULL, adresseLocalite VARCHAR(50) DEFAULT NULL, adresseCodePostal VARCHAR(10) DEFAULT NULL, mail VARCHAR(100) DEFAULT NULL, codeCivilite VARCHAR(1) DEFAULT NULL, adresseCodePays VARCHAR(3) DEFAULT NULL, INDEX IDX_A991060C99D5DC61 (codeCivilite), INDEX IDX_A991060C12C68174 (adresseCodePays), PRIMARY KEY(idRepLegal)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB;
CREATE TABLE NSituationFamiliale (code VARCHAR(1) NOT NULL, libelleCourt VARCHAR(20) NOT NULL, libelleLong VARCHAR(40) NOT NULL, dateOuverture DATE DEFAULT NULL, dateFermeture DATE DEFAULT NULL, PRIMARY KEY(code)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB;
CREATE TABLE NCrous (code VARCHAR(3) NOT NULL, nom VARCHAR(50) NOT NULL, dateOuverture DATE DEFAULT NULL, dateFermeture DATE DEFAULT NULL, PRIMARY KEY(code)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB;
CREATE TABLE InterventionSupport (id INT AUTO_INCREMENT NOT NULL, etat VARCHAR(1) DEFAULT NULL, libelleAnomalie VARCHAR(1024) NOT NULL, dateAnomalie DATETIME NOT NULL, profilSessionAnomalie LONGBLOB NOT NULL, libelleResolution VARCHAR(1024) NOT NULL, dateResolution DATETIME NOT NULL, idPVE INT DEFAULT NULL, INDEX IDX_7AAE618B55CAF762 (etat), INDEX IDX_7AAE618B60AFE308 (idPVE), PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB;
CREATE TABLE Etudiant (idAPB VARCHAR(9) DEFAULT NULL, dateAnnulationAPB DATETIME DEFAULT NULL, idEtudiantPVE INT NOT NULL, motifAnnulationAPB VARCHAR(1) DEFAULT NULL, codeSituationFamiliale VARCHAR(1) DEFAULT NULL, codePaysNationalite VARCHAR(3) DEFAULT NULL, codeRepresentantLegal1 INT DEFAULT NULL, codeRepresentantLegal2 INT DEFAULT NULL, origineEtablissement VARCHAR(8) DEFAULT NULL, INDEX IDX_880840B53CC243F6 (motifAnnulationAPB), INDEX IDX_880840B59B781C49 (codeSituationFamiliale), INDEX IDX_880840B5C2B2DF93 (codePaysNationalite), INDEX IDX_880840B5258BBBB6 (codeRepresentantLegal1), INDEX IDX_880840B5BC82EA0C (codeRepresentantLegal2), INDEX IDX_880840B5C3752C5E (origineEtablissement), PRIMARY KEY(idEtudiantPVE)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB;
CREATE TABLE NStatutProfil (code INT NOT NULL, libelleCourt VARCHAR(20) NOT NULL, libelleLong VARCHAR(40) NOT NULL, dateOuverture DATE DEFAULT NULL, dateFermeture DATE DEFAULT NULL, PRIMARY KEY(code)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB;
CREATE TABLE NAcademie (code VARCHAR(2) NOT NULL, libelleCourt VARCHAR(30) NOT NULL, libelleLong VARCHAR(40) NOT NULL, dateOuverture DATE DEFAULT NULL, dateFermeture DATE DEFAULT NULL, PRIMARY KEY(code)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB;
CREATE TABLE NPays (codeBCN VARCHAR(3) NOT NULL, codeINSEE VARCHAR(5) NOT NULL, libelleCourt VARCHAR(30) NOT NULL, libelleLong VARCHAR(40) NOT NULL, dateOuverture DATE DEFAULT NULL, dateFermeture DATE DEFAULT NULL, PRIMARY KEY(codeBCN)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB;
CREATE TABLE InterventionSupportPJ (id INT AUTO_INCREMENT NOT NULL, pieceJustificative LONGBLOB NOT NULL, PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB;
CREATE TABLE NProfil (code INT NOT NULL, libelleCourt VARCHAR(20) NOT NULL, libelleLong VARCHAR(40) NOT NULL, dateOuverture DATE DEFAULT NULL, dateFermeture DATE DEFAULT NULL, PRIMARY KEY(code)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB;
CREATE TABLE NAnnulationAPB (code VARCHAR(1) NOT NULL, libelleCourt VARCHAR(20) NOT NULL, libelleLong VARCHAR(40) NOT NULL, dateOuverture DATE DEFAULT NULL, dateFermeture DATE DEFAULT NULL, PRIMARY KEY(code)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB;
CREATE TABLE ticket (id INT AUTO_INCREMENT NOT NULL, user_created_id INT NOT NULL, last_user_id INT NOT NULL, last_message DATETIME NOT NULL, subject VARCHAR(255) NOT NULL, status SMALLINT NOT NULL, priority SMALLINT NOT NULL, created_at DATETIME NOT NULL, PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB;
CREATE TABLE fos_user (id INT AUTO_INCREMENT NOT NULL, username VARCHAR(255) NOT NULL, username_canonical VARCHAR(255) NOT NULL, email VARCHAR(255) NOT NULL, email_canonical VARCHAR(255) NOT NULL, enabled TINYINT(1) NOT NULL, salt VARCHAR(255) NOT NULL, password VARCHAR(255) NOT NULL, last_login DATETIME DEFAULT NULL, locked TINYINT(1) NOT NULL, expired TINYINT(1) NOT NULL, expires_at DATETIME DEFAULT NULL, confirmation_token VARCHAR(255) DEFAULT NULL, password_requested_at DATETIME DEFAULT NULL, roles LONGTEXT NOT NULL COMMENT '(DC2Type:array)', credentials_expired TINYINT(1) NOT NULL, credentials_expire_at DATETIME DEFAULT NULL, UNIQUE INDEX UNIQ_957A647992FC23A8 (username_canonical), UNIQUE INDEX UNIQ_957A6479A0D96FBF (email_canonical), PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB;
CREATE TABLE ticket_message (id INT AUTO_INCREMENT NOT NULL, ticket_id INT DEFAULT NULL, user_id INT NOT NULL, message LONGTEXT DEFAULT NULL, status SMALLINT NOT NULL, priority SMALLINT NOT NULL, created_at DATETIME NOT NULL, INDEX IDX_BA71692D700047D2 (ticket_id), PRIMARY KEY(id)) DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci ENGINE = InnoDB;
ALTER TABLE NEtablissement ADD CONSTRAINT FK_C76E8FEDA9373E3D FOREIGN KEY (academie) REFERENCES NAcademie (code);
ALTER TABLE Usager ADD CONSTRAINT FK_3B7060C912C68174 FOREIGN KEY (adresseCodePays) REFERENCES NPays (codeBCN);
ALTER TABLE Usager ADD CONSTRAINT FK_3B7060C964F2C53A FOREIGN KEY (auteurCreation) REFERENCES NAuteurProfil (code);
ALTER TABLE Usager ADD CONSTRAINT FK_3B7060C959BF3443 FOREIGN KEY (statutProfil) REFERENCES NStatutProfil (code);
ALTER TABLE Usager ADD CONSTRAINT FK_3B7060C9E6D6B297 FOREIGN KEY (profil) REFERENCES NProfil (code);
ALTER TABLE Usager ADD CONSTRAINT FK_3B7060C9AB468661 FOREIGN KEY (codeCrous) REFERENCES NCrous (code);
ALTER TABLE Usager ADD CONSTRAINT FK_3B7060C999D5DC61 FOREIGN KEY (codeCivilite) REFERENCES NCivilite (code);
ALTER TABLE NCrousAcademie ADD CONSTRAINT FK_BCAE6988AB468661 FOREIGN KEY (codeCrous) REFERENCES NCrous (code);
ALTER TABLE NCrousAcademie ADD CONSTRAINT FK_BCAE69881CAEF98A FOREIGN KEY (codeAcademie) REFERENCES NAcademie (code);
ALTER TABLE INEEtudiant ADD CONSTRAINT FK_3FDE7801825C3384 FOREIGN KEY (idEtudiantPVE) REFERENCES Etudiant (idEtudiantPVE);
ALTER TABLE INEEtudiant ADD CONSTRAINT FK_3FDE7801FE92BB9D FOREIGN KEY (auteurMAJ) REFERENCES NAuteurProfil (code);
ALTER TABLE PJInscription ADD CONSTRAINT FK_6F21E68F60AFE308 FOREIGN KEY (idPVE) REFERENCES Usager (idPVE);
ALTER TABLE RepresentantLegal ADD CONSTRAINT FK_A991060C99D5DC61 FOREIGN KEY (codeCivilite) REFERENCES NCivilite (code);
ALTER TABLE RepresentantLegal ADD CONSTRAINT FK_A991060C12C68174 FOREIGN KEY (adresseCodePays) REFERENCES NPays (codeBCN);
ALTER TABLE InterventionSupport ADD CONSTRAINT FK_7AAE618B55CAF762 FOREIGN KEY (etat) REFERENCES NEtatInterventionSupport (code);
ALTER TABLE InterventionSupport ADD CONSTRAINT FK_7AAE618B60AFE308 FOREIGN KEY (idPVE) REFERENCES Usager (idPVE);
ALTER TABLE Etudiant ADD CONSTRAINT FK_880840B5825C3384 FOREIGN KEY (idEtudiantPVE) REFERENCES Usager (idPVE);
ALTER TABLE Etudiant ADD CONSTRAINT FK_880840B53CC243F6 FOREIGN KEY (motifAnnulationAPB) REFERENCES NAnnulationAPB (code);
ALTER TABLE Etudiant ADD CONSTRAINT FK_880840B59B781C49 FOREIGN KEY (codeSituationFamiliale) REFERENCES NSituationFamiliale (code);
ALTER TABLE Etudiant ADD CONSTRAINT FK_880840B5C2B2DF93 FOREIGN KEY (codePaysNationalite) REFERENCES NPays (codeBCN);
ALTER TABLE Etudiant ADD CONSTRAINT FK_880840B5258BBBB6 FOREIGN KEY (codeRepresentantLegal1) REFERENCES RepresentantLegal (idRepLegal);
ALTER TABLE Etudiant ADD CONSTRAINT FK_880840B5BC82EA0C FOREIGN KEY (codeRepresentantLegal2) REFERENCES RepresentantLegal (idRepLegal);
ALTER TABLE Etudiant ADD CONSTRAINT FK_880840B5C3752C5E FOREIGN KEY (origineEtablissement) REFERENCES NEtablissement (uai);
ALTER TABLE ticket_message ADD CONSTRAINT FK_BA71692D700047D2 FOREIGN KEY (ticket_id) REFERENCES ticket (id);


